List message events

Returns the delivery events recorded for a message, oldest first. Pass `nextCursor` back as `cursor` for the next page; it is null on the last page.

GET
/v1/messages/{id}/events

Returns the delivery events recorded for a message, oldest first. Pass nextCursor back as cursor for the next page; it is null on the last page.

x-api-key<token>

In: header

Path Parameters

id*string
Match^msg_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?string|null
cursor?CursorEncoded|null

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/messages/string/events"
{  "items": [    {      "id": "string",      "messageId": "string",      "eventType": "string",      "status": "string",      "timestamp": "string",      "metadata": {}    }  ],  "nextCursor": "string"}

Related documentation